Package org.opensaml.saml.saml2.metadata

# Interface ContactPerson

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `ContactPersonImpl`

public interface ContactPerson extends SAMLObject, AttributeExtensibleXMLObject
SAML 2.0 Metadata ContactPerson.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONTACT_TYPE_ATTRIB_NAME`
"contactType" attribute's local name.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`Company`
`getCompany()`
Gets the company this contact person is associated with.
`List<EmailAddress>`
`getEmailAddresses()`
Gets a list of email addresses for this person.
`Extensions`
`getExtensions()`
Gets the Extensions child of this object.
`GivenName`
`getGivenName()`
Gets the given name for this person.
`SurName`
`getSurName()`
Gets the surname for this person.
`List<TelephoneNumber>`
`getTelephoneNumbers()`
Gets an immutable list of telephone numbers for this person.
`ContactPersonTypeEnumeration`
`getType()`
Gets the type of contact this person.
`void`
`setCompany(Company company)`
Sets the company this contact person is associated with.
`void`
`setExtensions(Extensions extensions)`
Sets the Extensions child of this object.
`void`
`setGivenName(GivenName name)`
Sets the given name for this person.
`void`
`setSurName(SurName name)`
Sets the surname for this person.
`void`
`setType(ContactPersonTypeEnumeration type)`
Sets the type of contact this person.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### CONTACT_TYPE_ATTRIB_NAME

@Nonnull @NotEmpty static final String CONTACT_TYPE_ATTRIB_NAME
"contactType" attribute's local name.

See Also:
  - Constant Field Values

## Method Details

### getType

@Nullable ContactPersonTypeEnumeration getType()
Gets the type of contact this person.

Returns:
  the type of contact this person

### setType

void setType(@Nullable ContactPersonTypeEnumeration type)
Sets the type of contact this person.

Parameters:
  `type` - the type of contact this person

### getExtensions

@Nullable Extensions getExtensions()
Gets the Extensions child of this object.

Returns:
  the Extensions child of this object

### setExtensions

void setExtensions(@Nullable Extensions extensions)
Sets the Extensions child of this object.

Parameters:
  `extensions` - the Extensions child of this object

### getCompany

@Nullable Company getCompany()
Gets the company this contact person is associated with.

Returns:
  the company this contact person is associated with

### setCompany

void setCompany(@Nullable Company company)
Sets the company this contact person is associated with.

Parameters:
  `company` - the company this contact person is associated with

### getGivenName

@Nullable GivenName getGivenName()
Gets the given name for this person.

Returns:
  the given name for this person

### setGivenName

void setGivenName(@Nullable GivenName name)
Sets the given name for this person.

Parameters:
  `name` - the given name for this person

### getSurName

@Nullable SurName getSurName()
Gets the surname for this person.

Returns:
  the surname for this person

### setSurName

void setSurName(@Nullable SurName name)
Sets the surname for this person.

Parameters:
  `name` - the surname for this person

### getEmailAddresses

@Nonnull @Live List<EmailAddress> getEmailAddresses()
Gets a list of email addresses for this person.

Returns:
  list of email addresses for this person

### getTelephoneNumbers

@Nonnull @Live List<TelephoneNumber> getTelephoneNumbers()
Gets an immutable list of telephone numbers for this person.

Returns:
  list of telephone numbers for this person